import type { APIRoute } from "astro";
import { createAdminClient, SESSION_COOKIE } from "../../server/appwrite";

export const GET: APIRoute = async ({ cookies, redirect, url }) => {
  const { account } = createAdminClient();

  cookies.set('anonymous', 'true')
  const secret = url.searchParams.get("secret");

  const session = await account.createAnonymousSession(secret);
  if (!session.secret) {
    throw new Error("Failed to create session from token");
  }

  cookies.set(SESSION_COOKIE, session.secret, {
    sameSite: "strict",
    expires: new Date(session.expire),
    secure: true,
    httpOnly: true,
    path: "/",
  });

  return redirect("/account");
};
